# rtai_registry.h File Reference

## Detailed Description

Author:
  Paolo Mantegazza

Note:
  Copyright © 1999 Paolo Mantegazza <mantegazza@aero.polimi.it>, extensions for user space modules are jointly copyrighted (2000) with: Pierre Cloutier <pcloutier@poseidoncontrols.com>, Steve Papacharalambous <stevep@zentropix.com>.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program; if not, write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.

Include dependency graph for rtai_registry.h:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Functions

int | rt_register (unsigned long nam, void *adr, int typ, struct task_struct *tsk)
int | rt_drg_on_name (unsigned long name)
int | rt_drg_on_adr (void *adr)
unsigned long | rt_get_name (void *adr)
| Get an object name by its address.
void * | rt_get_adr (unsigned long name)
| Get an object address by its name.